package org.rcisoft.business.overview.dao;

import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.overview.entity.EnergyPrice;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by JiChao on 2018/4/11.
 * 概览
 */
@Repository
public interface EnergyPriceRepository extends BaseMapper<EnergyPrice> {

    /**
     * 根据项目id搜索水电气价格列表
     * @param proId 项目id
     * @return
     */
    @Select("<script>select * from ENERGY_PRICE e where e.PRO_ID = #{proId}</script>")
    @ResultMap("BaseResultMap")
    List<EnergyPrice> getPrice(String proId);

}
