package org.rcisoft.business.overview.service;

import org.rcisoft.business.overview.vo.EnergyCountMVo;

import java.util.List;
import java.util.Map;

/**
 * Created by JiChao on 2018/4/11.
 * 概览
 */
public interface OverViewService {

    /**
     * 根据项目id查询价格
     * @param proId
     * @return
     */
    Map<String, Object> getPrice(String proId);

    /**
     * 用量和费用统计，当日或当月
     * @param proId
     * @return
     */
    Map<String, Object> countAmountAndPrice(String proId);

    /**
     * 运行费用统计
     * @param proId
     * @param type
     * @return
     */
    List<EnergyCountMVo> countDailyPrice(String proId, Integer type, Integer date);

    /**
     * 耗能拆分统计
     * @param proId
     * @param type
     * @return
     */
    List<EnergyCountMVo> countEnergySplit(String proId, Integer type, Integer date);

    /**
     * 运行费用排名
     * @param proId
     * @param type
     * @param date
     * @return
     */
    Integer getPriceRank(String proId, Integer type, Integer date);

    /**
     * 建筑单位面积用量标准
     * @param proId
     * @return
     */
    Map<String, Object> getStandard(String proId);

    /**
     * 建筑单位面积用量年度，三年的数据
     * @param proId
     * @return
     */
    Map<String, Object> getUnitArea(String proId);

    /**
     * 用能比较
     * @param proId
     * @param year
     * @param month
     * @param type
     * @param cType
     * @return
     */
    Map<String, Object> getEnergyCompare(String proId, String year, String month, Integer type, Integer cType);

}
